@charset "UTF-8";
/*===========================================
       資料請求追加
===========================================*/
/* 固定ボタンの基本スタイル */
.request-floating-btn {
    position: fixed;
    z-index: 9999;
    background-color: #4fbaa1;
    color: #fff;
    border: none;
    padding: 15px 25px;
    border-radius: 5px;
    cursor: pointer;
    font-weight: bold;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s;
    font-size: 2em;
    letter-spacing: 0.2em;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5em;
}

.request-floating-btn:before {
    content: "";
    display: inline-block;
    width: 1.5em;
    height: 1.5em;
    background-image: url(../journal/img/request_btn.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.request-floating-btn:hover {
    transform: scale(1.05);
}

@media (min-width: 769px) {
    .request-floating-btn {
        right: 0;
        top: 50%;
        transform: translateY(-50%);

        /* 追加：変形の起点を右端の中央に設定 */
        transform-origin: right center;

        writing-mode: vertical-rl;
        text-orientation: upright;
        padding: 20px 10px;
        border-radius: 8px 0 0 8px;

        transition: transform 0.2s ease-in-out, background-color 0.2s;
    }

    /* ホバー時の挙動 */
    .request-floating-btn:hover {
        /* translateY を維持しつつ拡大 */
        transform: translateY(-50%) scale(1.1);
        background-color: var(--main);
    }
}

/* スマホ：画面左下 */
@media (max-width: 768px) {
    .request-floating-btn {
        left: 0px;
        bottom: 0px;
        padding: 12px 20px;
        font-size: 14px;
        border-radius: 0 5px 0 0;
    }
    
    .request-floating-btn:hover {
        transform: scale(1);
    }
}

/* モーダル背景（初期は非表示） */
.modal-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    z-index: 10000;
    justify-content: center;
    align-items: center;
}

/* モーダルコンテンツ */
.modal-content {
    background: #fff;
    padding: 30px;
    border-radius: 10px;
    width: 90%;
    max-width: 700px;
    position: relative;
    text-align: center;
}

/* 閉じるボタン */
.close-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    cursor: pointer;
}

/*-------------------------*/

.request_h2 {
    font-size: 1.8em;
    color: var(--main);
    margin-bottom: 1em;
    letter-spacing: 0.1em;
}

.ov_txt {
    text-align: center;
    font-size: 1.4rem;
    line-height: 1.5;
    margin-bottom: 1em;
}

.Required {
    color: #c1272d;
}

.formTable {
    width: 100%;
    border-collapse: collapse;
    line-height: 1.5;
    font-size: 1.4rem;
}

.formTable tr {
    border-bottom: 1px solid #ccc;
}

.formTable tr:first-of-type {
    border-top: 1px solid #ccc;
}

.formTable th,.formTable td {
    padding: 1em 1em;
    box-sizing: border-box;
    background-color: white;
    text-align: justify;
    line-height: 1.5;
    vertical-align: middle;
}

.formTable th {
    width: 11em;
}

.formTable td {
    width: calc(100% - 11em);
}

.formTable select {
    padding: 0.5em 1em;
    border-radius: 5px;
    background: #f9f9f9;
    border: 1px solid #777;
    box-sizing: border-box;
}

.formTable label {
    cursor: pointer;
}

.formTable .flex_box {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5em 3em;
}

.choice_list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px 0;
}

.choice_list li {
    list-style: none;
    width: calc(13em - 1em);
    display: flex;
    align-items: flex-start;
}

.choice_list.wide li {
    width: 100%;
}

.formTable td .choice_list input[type=checkbox] {
    width: 1em;
    vertical-align: top;
    margin: 0.6em 0.5em 0 0;
}

.formTable td .choice_list label {
    transition: all 0.2s;
}

.formTable td .choice_list input:checked + label,.formTable td .choice_list input:hover + label,.formTable td .choice_list label:hover {
    color: #004a9e;
}

.formTable input[type="text"],.formTable textarea {
    width: 100%;
    padding: 0.3em 0.5em;
    border-radius: 5px;
    background: #f9f9f9;
    outline: 0px solid #777;
    border: 1px solid #777;
    transition: all 0.2s;
    box-sizing: border-box;
    line-height: 1.3;
}

.formTable input[type="text"]:focus,.formTable textarea:focus {
    outline: 1px solid #777;
}

.formTable input.w50 {
    width: 50%;
}

.formTable input.w15em {
    width: 15em;
}

.formTable input[type="text"]:-webkit-autofill {
    box-shadow: 0 0 0px 1000px #f9f9f9 inset;
}

.form_btn {
    margin: 1.5em 0 0px;
    display: flex;
    justify-content: center;
    gap: 0 50px;
}

.form_btn input {
    width: 9em;
    padding: 0.5em 1em;
    background: white;
    border: 1px solid #777;
    font-size: 1.6rem;
    color: #4d4d4d;
    border-radius: 5px;
    transition: all 0.2s;
    text-align: center;
}

.form_btn input:hover {
    background: var(--main);
    color: white;
    border: 1px solid var(--main);
}

.agree {
    text-align: center;
    margin: 30px auto;
    font-size: 1.4rem;
}

.agree a {
    text-decoration: underline;
}

@media all and (max-width: 767px) {
    .request_h2 {
        font-size: 1.4em;
        margin-bottom: 0.5em;
    }

    .ov_txt {
        text-align: justify;
        font-size: 10px;
    }

    .formTable {
        font-size: 1.2rem;
    }

    .formTable tr {
        border-bottom: 1px solid #ccc;
        display: flex;
        flex-wrap: wrap;
    }

    .formTable tr:first-of-type {
        border-top: 1px solid #ccc;
    }
    
    .formTable th {
        padding: 1em 0 0.5em;
        width: 100%;
        display: block;
        line-height: 1;
    }

    .formTable td {
        padding: 0 0 1em;
        width: 100%;
    }
    
    .formTable input.w50 {
        width: 100%;
    }

    .formTable .flex_box {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        gap: 0.5em 3em;
    }

    .choice_wrap {
        padding: 0;
    }

    .choice_list li {
        width: 100%;
        font-size: 14px;
    }
    
    .form_btn {
        margin: 1em 0 0px;
        gap: 0 30px;
    }
    
    .form_btn input {
        font-size: 13px;
    }
}

/*------------ 確認画面 ------------*/
.check_ttl {
    text-align: center;
    font-size: 18px;
    margin-bottom: 30px;
}

.check_txt {
    width: 800px;
    margin: 0 auto;
    padding: 30px;
    border: 1px solid #777;
    line-height: 2;
}

.check_txt2 {
    text-align: center;
    margin-bottom: 30px;
}

.error_box {
    width: 50vw;
    margin: 0 auto;
    font-size: 16px;
    border: 1px solid #777;
    padding: 30px;
    display: flex;
    flex-flow: column;
    gap: 10px;
}

.error_messe {
    display: inline-block;
}

.formTable.check th,.formTable.check td {
    padding: 1em 1em;
}

.formTable.check tr:nth-child(2n) th,.formTable.check tr:nth-child(2n) td {
    background: #f9f9f9;
}

@media all and (max-width: 767px) {
    .check_ttl {
        text-align: justify;
        font-size: 14px;
    }

    .check_txt {
        width: 100%;
        padding: 20px;
    }

    .check_txt2 {
        text-align: justify;
    }

    .formTable.check th {
        padding: 0.5em 1em 0.1em;
        font-size: 13px;
    }

    .formTable.check td {
        padding: 0.1em 1em 0.5em;
        font-size: 13px;
    }
    
    .error_box {
        width: 100%;
        font-size: 13px;
        padding: 20px;
    }
}

@media all and (min-width: 960px) {
    .t_h_logo_flex {
        display: flex;
        justify-content: space-between;
        padding: 16px 3vw;
    }
}

/* kinton流入経路include用追加css */
.in_choi_list ol {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 10px 0;
}

.in_choi_list ol li {
    list-style: none;
    width: calc(50% - 1em);
    display: flex;
    align-items: flex-start;
}

.in_choi_list.wide ol li {
    width: 100%;
}

.formTable td .in_choi_list ol input[type=checkbox] {
    width: 1em;
    vertical-align: top;
    margin: 0.7em 0.5em 0 0;
}

.formTable td .in_choi_list ol label {
    transition: all 0.2s;
}

.formTable td .in_choi_list ol input:checked + label,.formTable td .in_choi_list ol input:hover + label,.formTable td .in_choi_list ol label:hover {
    color: #004a9e;
}

.in_choi_list > div {
    margin-top: 1em;
}

@media all and (max-width: 767px) {
    .in_choi_list ol li {
        width: 100%;
        font-size: 14px;
    }
}

main {
    border-bottom: 2px solid #eee;
}